patch-configure 2.7 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394
  1. --- snort-2.8.5.2.orig/configure 2009-10-19 23:18:06.000000000 +0200
  2. +++ snort-2.8.5.2/configure 2010-01-14 20:16:49.000000000 +0100
  3. @@ -25882,81 +25882,7 @@ _ACEOF
  4. fi
  5. -# In case INADDR_NONE is not defined (like on Solaris)
  6. -have_inaddr_none="no"
  7. -{ echo "$as_me:$LINENO: checking for INADDR_NONE" >&5
  8. -echo $ECHO_N "checking for INADDR_NONE... $ECHO_C" >&6; }
  9. -if test "$cross_compiling" = yes; then
  10. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  11. -See \`config.log' for more details." >&5
  12. -echo "$as_me: error: cannot run test program while cross compiling
  13. -See \`config.log' for more details." >&2;}
  14. - { (exit 1); exit 1; }; }
  15. -else
  16. - cat >conftest.$ac_ext <<_ACEOF
  17. -/* confdefs.h. */
  18. -_ACEOF
  19. -cat confdefs.h >>conftest.$ac_ext
  20. -cat >>conftest.$ac_ext <<_ACEOF
  21. -/* end confdefs.h. */
  22. -
  23. -#include <sys/types.h>
  24. -#include <netinet/in.h>
  25. -#include <arpa/inet.h>
  26. -
  27. -int
  28. -main ()
  29. -{
  30. -
  31. - if (inet_addr("10,5,2") == INADDR_NONE);
  32. - return 0;
  33. -
  34. - ;
  35. - return 0;
  36. -}
  37. -_ACEOF
  38. -rm -f conftest$ac_exeext
  39. -if { (ac_try="$ac_link"
  40. -case "(($ac_try" in
  41. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  42. - *) ac_try_echo=$ac_try;;
  43. -esac
  44. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  45. - (eval "$ac_link") 2>&5
  46. - ac_status=$?
  47. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  48. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  49. - { (case "(($ac_try" in
  50. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  51. - *) ac_try_echo=$ac_try;;
  52. -esac
  53. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  54. - (eval "$ac_try") 2>&5
  55. - ac_status=$?
  56. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  57. - (exit $ac_status); }; }; then
  58. - have_inaddr_none="yes"
  59. -else
  60. - echo "$as_me: program exited with status $ac_status" >&5
  61. -echo "$as_me: failed program was:" >&5
  62. -sed 's/^/| /' conftest.$ac_ext >&5
  63. -
  64. -( exit $ac_status )
  65. -have_inaddr_none="no"
  66. -fi
  67. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  68. -fi
  69. -
  70. -
  71. -{ echo "$as_me:$LINENO: result: $have_inaddr_none" >&5
  72. -echo "${ECHO_T}$have_inaddr_none" >&6; }
  73. -if test "x$have_inaddr_none" = "xno"; then
  74. -
  75. -cat >>confdefs.h <<\_ACEOF
  76. -#define INADDR_NONE -1
  77. -_ACEOF
  78. -
  79. -fi
  80. +have_inaddr_none="yes"
  81. cat >conftest.$ac_ext <<_ACEOF
  82. /* confdefs.h. */
  83. @@ -26580,7 +26506,7 @@ fi
  84. # that versions < 0.9 do not accumulate packet statistics whereas >= 0.9 do accumulate.
  85. # This is Linux only. The check is done after pcre because the code below uses pcre.
  86. # It seems Phil Wood's pcap does not accumulate - 0.9x
  87. -pcap_version_check="yes"
  88. +pcap_version_check="no"
  89. if test "x$linux" = "xyes"; then
  90. if test "x$pcap_version_check" = "xyes"; then
  91. { echo "$as_me:$LINENO: checking for libpcap version >= 0.9" >&5